{% extends 'base.html' %}
{% load static %}

{% block title %} {{ object.title }} {% endblock %}
{% block heading %}
	<h1 class="detail-header"> {{ object.title }} </h1>
	<h2 class="detail-additionalinfo"> by {{ object.author.first_name }} {{ object.author.last_name }} </h2>
	<h4 class="detail-additionalinfo"> {{ object.format_pub_datetime }} </h4>
	<p class="detail-body"> {{ object.body }} </p>
{% endblock %}
{% block content %}
	<div class="separator-bar"></div>
	<h2 class="subheader"> Post Replies: </h2>
	{% for reply in object.replies.all %}
		<p class="detail-additionalinfo"> by {{ reply.author.first_name }} {{ reply.author.last_name }} </p>
		<p class="detail-additionalinfo"> {{ reply.format_pub_datetime }} </p>
		<p class="detail-body"> {{ reply.body }} </p>
		<br>
	{% endfor %}
	<div class="separator-bar"></div>
	<button class="action-button" onclick="window.location.href='{% url 'forum:forumpost-edit' pk=object.pk %}';"> Edit Post </button>
{% endblock %}